#ifndef XGFXLIGHTIMAGE_H
#define XGFXLIGHTIMAGE_H

#include "xgfximage.h"
#include "xasset.h"

class XGfxLightImage : public XAsset
{
public:
    XGfxLightImage();
    ~XGfxLightImage();

    virtual void ParseData(QDataStream* aStream) override;
    virtual void Clear() override;

private:
    XGfxImage* mImage;
    quint8 mSamplerState;
};

#endif // XGFXLIGHTIMAGE_H
